Bug Hunting Session
Bug 90407 - AutoFit option not exported in PowerPoint
Summary: AutoFit option not exported in PowerPoint
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.2.7
Keywords:
: 94927 111859 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-04-02 08:51 UTC by Ljiljan
Modified: 2019-06-10 19:21 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Original file with Autofit text on in textbox (23.66 KB, application/vnd.oasis.opendocument.presentation)
2017-10-20 15:29 UTC, andis.lazdins
Details
File saved by Impress to ppt format (161.00 KB, application/wps-office.ppt)
2017-10-20 15:30 UTC, andis.lazdins
Details
File saved by Impress to pptx format (21.55 KB, application/wps-office.pptx)
2017-10-20 15:31 UTC, andis.lazdins
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ljiljan 2015-04-02 08:51:12 UTC
While Auto Fit options is supposed to be useful, it actually created a new problem for PPT exporting. When used (I wish it could be disabled by default, but sometimes this is not the case),  text that is "auto fitted" in LibreOffice is not "auto fitted" in Power Point (PPT). Probably in PPTX too, but I didn't test it because PPTX export is still bad.
Comment 1 raal 2015-04-03 12:10:21 UTC Comment hidden (obsolete)
Comment 2 Buovjaga 2015-04-10 13:12:43 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2015-10-14 19:51:07 UTC Comment hidden (obsolete)
Comment 4 2460acc 2016-01-23 08:41:12 UTC
Hello, I am not the OP but I posted a very similar bug report with attatchments reference no. 96409. My bug was marked a dupe and closed while this one has been abandoned by the OP.

Please could you consider my post as a follow up to this one (in response the NEEDINFO request). The bug is a real kiler for compatiblity with Powerpoint, as you can imagine - the Autofit is not exported to doc format and hence all the text boxes are mis-sized!

https://bugs.documentfoundation.org//show_bug.cgi?id=96409
Comment 5 raal 2016-01-23 08:45:38 UTC
duplicate bug 96409 with test file, setting to NEW
Comment 6 Commit Notification 2017-02-17 13:26:31 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7277991e78c264025b4894ae07b40fb12cd57ce6

tdf#90407: Export Text AutoFit to .pptx

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-02-24 14:07:22 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a4f99175b09eec634a9a31e9e2a55e9c97d02ca&h=libreoffice-5-3

tdf#90407: Export Text AutoFit to .pptx

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-03-02 13:28:41 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d9e1d16b884417ec892f67da625cf02d897f2cc&h=libreoffice-5-2

tdf#90407: Export Text AutoFit to .pptx

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2017-04-13 09:01:47 UTC Comment hidden (obsolete)
Comment 10 tommy27 2017-05-09 12:15:29 UTC Comment hidden (obsolete)
Comment 11 andis.lazdins 2017-10-20 15:28:11 UTC
The bug is not fixed in 5.3.7.1, Linux 64 bit. Autofit text is off after exporting to ppt or pptx. It is 100% repeatable. The same happens with 5.4.2.1. Considering that Autofit text is very useful function it would be great to get it to work.

Sample files - original Impress file and result of export to ppt and pptx are attached to the report.
Comment 12 andis.lazdins 2017-10-20 15:29:19 UTC
Created attachment 137152 [details]
Original file with Autofit text on in textbox
Comment 13 andis.lazdins 2017-10-20 15:30:26 UTC
Created attachment 137153 [details]
File saved by Impress to ppt format
Comment 14 andis.lazdins 2017-10-20 15:31:07 UTC
Created attachment 137154 [details]
File saved by Impress to pptx format
Comment 15 Timur 2018-08-09 17:00:50 UTC
*** Bug 111859 has been marked as a duplicate of this bug. ***
Comment 16 Buovjaga 2018-09-13 12:02:27 UTC
Bug 119617 was fixed. Does it affect this? Please everyone test with a fresh master build.
Comment 17 Timur 2018-09-14 08:03:58 UTC
No change, still repro.
Comment 18 Timur 2019-01-25 15:41:35 UTC
*** Bug 94927 has been marked as a duplicate of this bug. ***